Name:		gnomint
Version:	1.0.0
Release:	2%{?dist}
Summary:	Graphical x509 Certification Authority management tool

Group:		Applications/System
License:	GPLv3+
URL:		http://gnomint.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-cflags.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnutls-devel >= 2
BuildRequires:	libgnomeui-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3
BuildRequires:	intltool
BuildRequires:	readline-devel

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
Certification Authority management made easy.

gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-dependency-tracking --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install --delete-original \
  --remove-category=Application \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%postun
update-mime-database %{_datadir}/mime/ &> /dev/null || :
update-desktop-database %{_datadir}/applications || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS MAINTAINERS 
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-upgrade-db
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Adam Huffman <bloch@verdurin.com> - 1.0.0-1
- new stable upstream release
- added forgotten crlgen function to gnomint-cli text-based interface
- fix compilation with GnuTLS 2.8.0
- new translations and translation updates

* Tue Apr 28 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-5
- workaround patch tag problem

* Sun Apr 26 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-4
- really fix 496518

* Tue Apr 21 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-3
- fix for bug 496518 - $RPM_OPT_FLAGS not used

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-1
- new upstream release including command-line interface
- thanks to Seva Epsteyn for spec patch

* Fri Nov 21 2008 Adam Huffman <bloch@verdurin.com> - 0.6.0-1
- new upstream release

* Thu Oct  9 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-2
- ensure correct CFLAGS
- don't call gconf-2 during rpmbuild
- fix scriptlet closures

* Sun Oct  5 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-1
- new upstream release
- remove compilation fix patch
- add BR for intltool
- remove Application category from .desktop file

* Sun Sep 28 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-3
- add compilation fix patch

* Tue Sep 23 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-2
- remove redundant BR
- remove empty/inappropriate doc files
- pre/post/preun Requires
- fix License tag


* Sun Sep 21 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-1
- initial version

